Index: palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d
===================================================================
--- palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d	(revision 3417)
+++ palm/trunk/TESTS/cases/example_cbl/INPUT/example_cbl_p3d	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr
===================================================================
--- palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr	(revision 3417)
+++ palm/trunk/TESTS/cases/example_cbl_restart/INPUT/example_cbl_restart_p3dr	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr
===================================================================
--- palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr	(revision 3417)
+++ palm/trunk/TESTS/cases/example_cbl_restart2/INPUT/example_cbl_restart2_p3dr	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d
===================================================================
--- palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d	(revision 3417)
+++ palm/trunk/TESTS/cases/example_cbl_short/INPUT/example_cbl_short_p3d	(revision 3421)
@@ -74,10 +74,10 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt', 'w"pt"', 'w*pt*',
+    data_output_pr             = 'wtheta', 'w"theta"', 'w*theta*',
                                  'w*2',
-                                 '#pt', 'pt*2',
+                                 '#theta', 'theta*2',
 
     section_xy                 = 2,
Index: palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d
===================================================================
--- palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d	(revision 3417)
+++ palm/trunk/TESTS/cases/example_cbl_user_code/INPUT/example_cbl_user_code_p3d	(revision 3421)
@@ -74,13 +74,13 @@
                                  'w_xz',
                                  'w_xz_av',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
 
-    data_output_pr             = 'wpt',
-                                 'w"pt"',
-                                 'w*pt*',
+    data_output_pr             = 'wtheta',
+                                 'w"theta"',
+                                 'w*theta*',
                                  'w*2',
-                                 '#pt',
-                                 'pt*2',
+                                 '#theta',
+                                 'theta*2',
 
     section_xy                 = 2,
Index: palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d
===================================================================
--- palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d	(revision 3417)
+++ palm/trunk/TESTS/cases/urban_environment/INPUT/urban_environment_p3d	(revision 3421)
@@ -91,5 +91,5 @@
                             '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
                             'w',   'w*2',
-                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
+                            '#theta', 'theta*2', 'wtheta', 'w*theta*', 'w"theta"',
                             '#q',  'q*2',
                             'e', 'e*', '#km', '#l',
@@ -111,5 +111,5 @@
                   'v',  'v_av',
                   'w',  'w_av',
-                  'pt', 'pt_av',
+                  'theta', 'theta_av',
                   'q',  'q_av',
                   'e',  'e_av',
@@ -119,5 +119,5 @@
                   'shf*_xy', 'shf*_xy_av',
                   'ghf*_xy', 'ghf*_xy_av',
-                  'u*_xy', 'z0*_xy',
+                  'us*_xy', 'z0*_xy',
                   't*_xy', 'ol*_xy',
                   'm_liq*_xy',
Index: palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr
===================================================================
--- palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr	(revision 3417)
+++ palm/trunk/TESTS/cases/urban_environment_restart/INPUT/urban_environment_restart_p3dr	(revision 3421)
@@ -91,5 +91,5 @@
                             '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
                             'w',   'w*2',
-                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
+                            '#theta', 'theta*2', 'wtheta', 'w*theta*', 'w"theta"',
                             '#q',  'q*2',
                             'e', 'e*', '#km', '#l',
@@ -111,5 +111,5 @@
                   'v',  'v_av',
                   'w',  'w_av',
-                  'pt', 'pt_av',
+                  'theta', 'theta_av',
                   'q',  'q_av',
                   'e',  'e_av',
@@ -119,5 +119,5 @@
                   'shf*_xy', 'shf*_xy_av',
                   'ghf*_xy', 'ghf*_xy_av',
-                  'u*_xy', 'z0*_xy',
+                  'us*_xy', 'z0*_xy',
                   't*_xy', 'ol*_xy',
                   'm_liq*_xy',