Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 3402)
+++ palm/trunk/SCRIPTS/palmrun	(revision 3455)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# options -h and -d renamed -c and -r, respectively
+# 
+# 3402 2018-10-23 11:49:24Z knoop
 # job_id is set for compatibility reasons with older versions of config files
 # 
@@ -288,5 +291,5 @@
     # READ SHELLSCRIPT-OPTIONS AND REBUILD THE PALMRUN-COMMAND STRING (prc),
     # WHICH WILL BE USED TO START RESTART-JOBS
- while  getopts  :a:A:bBCd:FG:h:i:jkm:M:O:q:R:s:t:T:u:U:vVw:W:xX:yY:zZ option
+ while  getopts  :a:A:bBc:CFG:i:jkm:M:O:q:r:R:s:t:T:u:U:vVw:W:xX:yY:zZ option
  do
    case  $option  in
@@ -295,9 +298,8 @@
        (b)   create_batch_job=true; prc="$prc -b";;
        (B)   delete_temporary_catalog=false; prc="$prc -B";;
+       (c)   configuration_identifier=$OPTARG; prc="$prc -c$OPTARG";;
        (C)   restart_run=true; prc="$prc -C";;
-       (d)   run_identifier=$OPTARG; prc="$prc -d$OPTARG";;
        (F)   create_jobfile_only=true;;
        (G)   global_revision=$OPTARG; prc="$prc -G'$OPTARG'";;
-       (h)   configuration_identifier=$OPTARG; prc="$prc -h$OPTARG";;
        (i)   run_id_number=$OPTARG;;
        (j)   running_in_batch_mode=true;;
@@ -307,4 +309,5 @@
        (O)   use_openmp=true; threads_per_task=$OPTARG; prc="$prc -O$OPTARG";;
        (q)   queue=$OPTARG; prc="$prc -q$OPTARG";;
+       (r)   run_identifier=$OPTARG; prc="$prc -r$OPTARG";;
        (R)   return_address=$OPTARG;;
        (s)   source_list=$OPTARG;;
@@ -344,7 +347,6 @@
     printf "\n        -b    batch-job on local machine               ---"
     printf "\n        -B    do not delete temporary directory at end ---"
-    printf "\n        -d    run identifier                           test"
+    printf "\n        -c    configuration identifier                 \"default\" "
     printf "\n        -F    create batch job file only               ---"
-    printf "\n        -h    host configuration                       \"default\" "
     printf "\n        -k    keep data from previous run"
     printf "\n        -m    memory demand in MB (batch-jobs)         0 MB"
@@ -352,4 +354,5 @@
     printf "\n        -O    threads per openMP task                  ---"
     printf "\n        -q    queue                                    \"$queue\" "
+    printf "\n        -r    run identifier                           test"
     printf "\n        -s    filenames of routines to be compiled     \"\" "
     printf "\n              must end with .f, .f90, .F, or .c !"
@@ -387,9 +390,4 @@
  printf "\n*** $version "
  printf "\n    will be executed.     Please wait ..."
-
-
-    # FOR COMPATIBILITY REASONS SET OLD ENVIRONMENT VARIABLES
- export fname=$run_identifier
- export jobname=$run_identifier
 
 
@@ -1869,7 +1867,7 @@
        if [[ $do_trace = true ]]
        then
-          palmbuild  -h $configuration_identifier
+          palmbuild  -c $configuration_identifier
        else
-          palmbuild  -v  -h $configuration_identifier
+          palmbuild  -v  -c $configuration_identifier
        fi
 
@@ -1888,5 +1886,5 @@
 
        # NOW CREATE THE SOURCES_FOR_RUN FOLDER
-    palmbuild  -v  $use_existing_sources_folder  -h $configuration_identifier  -d $run_identifier
+    palmbuild  -v  $use_existing_sources_folder  -c $configuration_identifier  -r $run_identifier
 
     if [[ ${PIPESTATUS[0]} != 0 ]]
@@ -2778,6 +2776,6 @@
           printf "\n$dashes\n  +++ creating restart run failed \n"
           locat=create_restart
+          rm  palmrun_restart.log
           exit
-          rm  palmrun_restart.log
        else
           printf "\n$dashes\n  *** restart run initiated \n"
@@ -2815,5 +2813,5 @@
 
        # BUILD THE PALMRUN-COMMAND TO BE CALLED IN THE BATCH-JOB
-    palmrun_com="$palmrun_script_name -d $run_identifier -h $configuration_identifier -m $memory -t $cpumax -q $queue -i $run_id_number -U $local_username"
+    palmrun_com="$palmrun_script_name -r $run_identifier -c $configuration_identifier -m $memory -t $cpumax -q $queue -i $run_id_number -U $local_username"
     [[ "$activation_string_list" != "" ]]  &&  palmrun_com=${palmrun_com}" -a \"$activation_string_list\""
     [[ "$global_revision" != "" ]]  &&  palmrun_com=${palmrun_com}" -G \"$global_revision\""