Index: palm/trunk/TESTS/cases/warm_air_bubble_with_bcm/INPUT/warm_air_bubble_with_bcm_p3d
===================================================================
--- palm/trunk/TESTS/cases/warm_air_bubble_with_bcm/INPUT/warm_air_bubble_with_bcm_p3d	(revision 3357)
+++ palm/trunk/TESTS/cases/warm_air_bubble_with_bcm/INPUT/warm_air_bubble_with_bcm_p3d	(revision 3461)
@@ -7,6 +7,6 @@
 !-- grid parameters
 !-------------------------------------------------------------------------------
-    nx                         = 23, ! Number of gridboxes in x-direction (nx+1)
-    ny                         = 23, ! Number of gridboxes in y-direction (ny+1)
+    nx                         = 39, ! Number of gridboxes in x-direction (nx+1)
+    ny                         = 39, ! Number of gridboxes in y-direction (ny+1)
     nz                         = 40, ! Number of gridboxes in z-direction (nz)
 
@@ -28,25 +28,12 @@
 
     pt_surface                 = 297.9,            ! temperature at surface
-    pt_vertical_gradient       = 0.0, 0.58588957,  ! vertical gradient of temperature
+    pt_vertical_gradient       = 0.0, 0.585,       ! vertical gradient of temperature
     pt_vertical_gradient_level = 0.0, 740.0,       ! height level of temp gradients
 
-    q_surface                  = 0.016,                                    ! mixing ratio at surface
-    q_vertical_gradient        = -2.97297E-4, -4.5238095E-4, -8.108108E-5, ! gradient for mix. ratio
-    q_vertical_gradient_level  = 0.0, 740.0, 3260.0,                       ! height lev. for gradients
+    q_surface                  = 0.016,                         ! mixing ratio at surface
+    q_vertical_gradient        = -2.97E-4, -4.52E-4, -8.1E-5,   ! gradient for mix. ratio
+    q_vertical_gradient_level  = 0.0, 740.0, 3260.0,            ! height lev. for gradients
 
-!
-!--  passive scalar
-!-------------------------------------------------------------------------------
-     passive_scalar            = .TRUE.,      ! enable passive scalar
-     s_surface                 = 0.0008,      ! equivalent to 420ppm background
-     surface_scalarflux        = 0.002,       ! kg emission per square meter and second
-     bc_s_b                    = 'neumann',   ! Neumann boundary conditions
-     scalar_advec              = 'bc-scheme', ! Bott chlond scheme for scalar advection
-     loop_optimization         = 'vector',    ! loops over k,j,i
-
-!
-!--  bulk microphysics
-!-------------------------------------------------------------------------------
-     humidity                  = .TRUE.,     ! prog. equation for total water mixing ratio
+    humidity                   = .TRUE.,     ! prog. equation for total water mixing ratio
 
 !
@@ -84,23 +71,21 @@
     data_output                = 'w_xy',
                                  'w_xz',
-                                 'pt_xy',
-                                 'pt_xz',
+                                 'theta_xy',
+                                 'theta_xz',
                                  'ql_yz',
+                                 'qr_yz',
+                                 'nr_yz',
                                  'w_yz',
                                  'u_yz',
                                  'v_yz',
-                                 's_yz',
-                                 'nc_yz',
 
     data_output_pr             = 'u',
                                  'v',
-                                 'w',
                                  'ql',
-                                 '#pt',
-                                 'w"pt"',
-                                 'w*pt*',
-                                 'wpt',
+                                 '#theta',
+                                 'w"theta"',
+                                 'w*theta*',
+                                 'wtheta',
                                  'w*2',
-                                 'pt*2',
 
     section_xy                 = 2, 10,  ! grid index for 2D XY cross sections
@@ -120,20 +105,12 @@
 &bulk_cloud_parameters
 
-     bulk_cloud_model          = .TRUE.,     ! enable bulk cloud model
-     cloud_scheme              = 'morrison', ! two-moment liquid water microphysics
-                                             ! including activation, diffusion, autoconversion,
-                                             ! accretion, sedimentation, precipitation
+    bulk_cloud_model          = .TRUE.,           ! enable bulk cloud model
+    cloud_scheme              = 'seifert_beheng', ! two-moment liquid water microphysics
+                                                  ! including autoconversion,
+                                                  ! accretion, sedimentation, precipitation
+    collision_turbulence              = .TRUE.,   ! parametize turbulence effects for collision
+    cloud_water_sedimentation         = .TRUE.,   ! enable cloud water sedimentation
 
-     aerosol_bulk              = 'nacl',     ! chemical composition of aerosol
-
-     na_init                   = 1.5E8,   ! background aerosol concetration
-     dry_aerosol_radius        = 0.15E-6, ! mean dry aerosol radius
-     sigma_bulk                = 1.61,    ! width of dry aerosol spectrum
-
-     curvature_solution_effects_bulk   = .TRUE., ! considering aerosol properties for activation
-     collision_turbulence              = .TRUE., ! parametize turbulence effects for collision
-     cloud_water_sedimentation         = .TRUE., ! enable cloud water sedimentation
-
-     call_microphysics_at_all_substeps = .TRUE., ! microphysics every timestep
+    call_microphysics_at_all_substeps = .TRUE.,   ! microphysics every timestep
 
 / ! end of bulk cloud parameter namelist