Index: palm/trunk/EXAMPLES/test_salsa/test_salsa.txt
===================================================================
--- palm/trunk/EXAMPLES/test_salsa/test_salsa.txt	(revision 3467)
+++ palm/trunk/EXAMPLES/test_salsa/test_salsa.txt	(revision 3467)
@@ -0,0 +1,30 @@
+salsa_test_urban
+
+1. Purpose
+Simple urban test set-up applying a sectional aerosol module SALSA. 
+
+2. PALM-Version / SVN Revision
+Version 5.0, revision 3096
+
+3. Required user code
+none
+
+4. Input
+salsa_test_urban p3d, salsa_test_urban_static (PIDS_STATIC) & salsa_test_urban_aero (PIDS_AERO)
+
+
+5. Preprocessing
+salsa_test_urban_static and salsa_test_urban_aero have to be prepared. 
+
+
+6. Program start - mrun call
+
+        
+7. Monitoring: 
+
+
+8. Postprocessing
+none
+
+9. Miscellaneous
+
Index: palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d
===================================================================
--- palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d	(revision 3467)
+++ palm/trunk/EXAMPLES/test_salsa/test_salsa_p3d	(revision 3467)
@@ -0,0 +1,226 @@
+!-------------------------------------------------------------------------------
+!-- INITIALIZATION PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/inipar
+!-------------------------------------------------------------------------------
+ &initialization_parameters
+
+!
+!-- Grid
+!------------------------------------------------------------------------------
+    nx                   = 19,
+    ny                   = 19,
+    nz                   = 22,
+
+    dx                   = 2.0,
+    dy                   = 2.0,
+    dz                   = 2.0,
+
+!
+!-- Numerics
+!------------------------------------------------------------------------------
+    psolver              = 'multigrid',
+    momentum_advec       = 'ws-scheme',  ! default advection scheme
+    scalar_advec         = 'ws-scheme', 
+    conserve_volume_flow = .T.,
+
+!
+!-- Mode
+!------------------------------------------------------------------------------     
+    humidity             = .T.,
+    q_surface            = 0.008,
+
+!
+!-- Initialization
+!------------------------------------------------------------------------------
+    initializing_actions = 'set_constant_profiles',
+
+    pt_surface           = 293.15,
+    ug_surface           = 1.0,
+    vg_surface           = 0.0,
+
+    roughness_length     = 0.05,
+    neutral              = .T.,
+    
+    day_of_year_init     =  65,          ! March 06, to avoid extreme temperatures
+    time_utc_init        = 0.0,
+
+!
+!-- Boundary conditions
+!------------------------------------------------------------------------------ 
+    bc_lr                = 'cyclic', 
+    bc_ns                = 'cyclic',
+    bc_uv_t              = 'dirichlet',  ! channel flow boundary condition
+
+!
+!-- Topography
+!------------------------------------------------------------------------------    
+    topography           = 'read_from_file',
+
+!
+!-- Physics
+!------------------------------------------------------------------------------
+    longitude            = 13.4,         ! Berlin longitude
+    latitude             = 52.5,         ! Berlin latitude
+      
+ / ! end of inipar namelist
+
+
+!-------------------------------------------------------------------------------
+!-- RUNTIME PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/d3par
+!-------------------------------------------------------------------------------
+ &runtime_parameters
+
+!
+!-- Run steering
+!------------------------------------------------------------------------------
+    end_time              = 1000.0,
+    create_disturbances   = .T.,
+
+!
+!-- General output settings
+!------------------------------------------------------------------------------
+    netcdf_data_format    = 4,           ! use NetCDF4
+
+!
+!-- Run-control/timeseries output settings
+!------------------------------------------------------------------------------
+    dt_run_control        =  0.0,
+    dt_dots               =  0.0,
+
+!
+!-- Profile output settings
+!------------------------------------------------------------------------------
+    skip_time_dopr        =   0.0,
+    dt_dopr               = 500.0,
+    averaging_interval_pr = 500.0,
+    dt_averaging_input_pr =   0.0,
+
+    data_output_pr        = '#u',  'u*2',  'wu',  'w*u*',  'w"u"',
+                            '#v',  'v*2',  'wv',  'w*v*',  'w"v"',
+                            'w',   'w*2',
+                            '#pt', 'pt*2', 'wpt', 'w*pt*', 'w"pt"',
+                            'e', 'e*', '#km', '#l',
+!
+!-- 2D/3D output settings
+!------------------------------------------------------------------------------
+    do3d_at_begin      = .T., 
+    do2d_at_begin      = .T.,
+
+    dt_data_output     = 50.0,
+
+
+    data_output = 'u', 'v', 'w',
+                  'Ntot', 'LDSA', 'PM2.5', 
+                  's_SO4', 's_OC', 's_BC', 's_NH', 's_NO',
+                  'g_H2SO4','g_HNO3','g_NH3','g_OCNV','g_OCSV',
+                  'N_bin1', 'N_bin2', 'N_bin3', 'N_bin4', 'N_bin5', 
+                  'N_bin6', 'N_bin7', 'N_bin8', 'N_bin9', 'N_bin10',
+
+ / ! end of d3par namelist
+
+
+!-------------------------------------------------------------------------------
+!-- PLANT CANOPY MODEL PARAMETER NAMELIST
+!   Documentation: https://palm.muk.uni-hannover.de/trac/wiki/doc/app/canpar
+!-------------------------------------------------------------------------------
+ &plant_canopy_parameters
+ 
+    canopy_mode       = 'read_from_file_3d',
+    canopy_drag_coeff = 0.5,
+      
+ / ! end of canopy_par namelist
+
+
+!-------------------------------------------------------------------------------
+!-- SALSA PARAMETER NAMELIST
+!-------------------------------------------------------------------------------
+ &salsa_parameters  
+
+!
+!-- Time stepping
+    dt_salsa           =   4.0, ! time step for calculating aerosol processes (s)
+    skip_time_do_salsa = 100.0, ! starting time of SALSA (s)
+
+!
+!-- Concentration initial types: 0 = based on the parameter file, 1 = read from a NetCDF file
+    isdtyp    = 1, ! size distribution
+    igctyp    = 1, ! gases
+
+!
+!-- If isdtyp = 0, define the initial aerosol size distribution by dpg, sigmag and n_lognorm
+ !   dpg       = 0.01347865, 0.05400739, 0.86411863, ! mean diameter per mode (micrometres)
+ !   sigmag    =        1.8,       2.16,       2.21, ! standard deviation per mode 
+ !   n_lognorm =     1434.0,      445.9,      0.07,  ! number concentration per mode (#/cm3)
+
+!
+!-- If igctyp = 0, apply these initial gas concentrations			
+ !   H2SO4_init = 5.0E12, ! sulphuric acid (#/m3)
+ !   HNO3_init  = 3.0E15, ! nitric acid (#/m3)
+ !   NH3_init   = 6.0E15, ! ammonia (#/m3)        
+ !   OCNV_init  = 1.0E14, ! non-volatile organic gases (#/m3)
+ !   OCSV_init  = 1.0E14, ! non-volatile organic gases (#/m3)
+
+!
+!-- List of activated chemical components: 
+!-- NOTE! Chemical species have to be activated here even if they are not initially present!
+    listspec = 'SO4','OC','BC','NH','NO','','',  ! List of actived aerosols        
+    ! listspec = 'SO4','OC','BC','DU','SS','NO','NH', 
+
+!
+!-- If isdtyp = 0, set the chemical composition of the initial particle size distribution
+ !   mass_fracs_a = 0.1, 0.4, 0.3, 0.1, 0.1, 0.0, 0.0, ! mass fractions of chemical components: soluble 
+ !   mass_fracs_b = 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, ! mass fractions of chemical components: insoluble
+!-- NOTE! Set everyhing to zero in mass_fracs_b if you do not want include insoluble species (default)
+
+!
+!-- Sectional presentation of the particle size distribution
+    reglim = 3.0E-9, 5.0E-8, 2.5E-6, ! limits of the subranges (m)
+    nbin   = 3, 7,                   ! number of bins per subrange 
+!-- NOTE! Subrange 1 consists only of H2SO4 and/or OC
+    nf2a   = 1.0,	             ! Number fraction allocated to subrange 2a (b-bins will get 1-nf2a) 
+
+!
+!-- Aerosol emissions:
+    salsa_source_mode = 'read_from_file', 
+!-- NOTE! chemical components of the source have to be activated in 'listspec'
+
+!
+!-- Boundary conditions
+!-- Decycle at the left & right boundaries: initial concentration  
+!--   is copied to ghost and first three layers at both boundaries at the left boundary
+!--   and a zero gradient is set at the right boundary
+!-- Decycle at the north & south boundaries: initial concentration  
+!--   is copied to ghost and first three layers at both boundaries
+    decycle_lr     = .T.,         
+    decycle_ns     = .F.,
+    decycle_method = 'dirichlet','dirichlet','dirichlet','dirichlet',  
+    bc_salsa_b     = 'neumann', !'dirichlet',  ! surface flux requires 'neumann'
+    bc_salsa_t     = 'dirichlet',  ! top
+											   
+!
+!-- Switches for aerosol processes:
+    nldistupdate = .T.,
+    nldepo       = .T., ! Deposition master switch
+    nldepo_vege  = .T., ! Deposition on vegetation
+    nldepo_topo  = .T., ! Deposition on walls
+    nlcnd        = .T., ! Condensation master switch
+    nlcndgas     = .T., ! Condensation of precursor gases
+    nlcndh2oae   = .F., ! Condensation of H2O on aerosols                          
+    nlcoag       = .T., ! Coagulation master switch
+    nsnucl       =  1,  ! Nucleation scheme (0 = off)
+    nj3          =  1,  ! J3 parametrization for nucleation 
+
+    depo_vege_type = 'zhang2001',
+    depo_topo_type = 'zhang2001',
+
+!
+!-- Other switches:
+    advect_particle_water   = .T.,   ! particle water: advect or calculate at each dt_salsa 
+    feedback_to_palm        = .F.,   ! feedback to flow due to condensation of water
+    read_restart_data_salsa = .F.,   ! skip reading restart data even if it's done for the flow
+    write_binary_salsa      = .F.,   ! skip writing restart data even if it's done for the flow
+         
+ / ! end of salsa_par namelist
+
+ 